This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1273041 - [RFE] extend Permission tab with list of 'My groups'
[RFE] extend Permission tab with list of 'My groups'
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.UserPortal (Show other bugs)
---
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Ravi Nori
Pavel Novotny
: FutureFeature, UserExperience
Depends On: 1352675 1346932
Blocks: 1213937 1416025
  Show dependency treegraph
 
Reported: 2015-10-19 08:45 EDT by Petr Spacek
Modified: 2017-01-24 06:50 EST (History)
13 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Enhancement
Doc Text:
With this release, the Add Permissions dialog now has a new radio button called "My Groups", which lists the currently logged in user's groups. The user can use this option to grant permissions to other users in the same group.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-01 08:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
pnovotny: testing_plan_complete+
rule-engine: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
mockup of exteded permission-add dialog (45.25 KB, image/png)
2015-10-19 08:46 EDT, Petr Spacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 47663 master MERGED webadmin: extend Permission tab with list of 'My groups' Never

  None (edit)
Description Petr Spacek 2015-10-19 08:45:00 EDT
Current dialog for adding permissions is not optimal for ordinary users. Often the user creates a VM and wants to share it with his team, which is typically represented by a user group. For this use-case it makes sense to offer user's groups first instead of forcing user to type in name of the groups he is member of.

Conclusion from discussion with Oved is to add new 'radio button' to Permission add dialog. This new radio button would offer list of groups the logged-in user is member of.


Personally I would say that it makes sense to make this new mode default in User Portal (and that all other modes should stay available).
Comment 1 Petr Spacek 2015-10-19 08:46 EDT
Created attachment 1084396 [details]
mockup of exteded permission-add dialog

I'm adding mockup of exteded permission-add dialog. It lists that logged-in user is member of two groups from two different domains.

Red parts were modified by me.
Comment 2 Oved Ourfali 2015-10-19 15:08:13 EDT
I would make it the last radio button. 
It shouldn't be the default, imo, but let's consider that when implementing.
Comment 3 Pavel Novotny 2016-07-14 08:09:24 EDT
Verified in rhevm-4.0.2-0.2.rc1.el7ev.noarch.

Every dialog 'Add Permission to User' has now radio button 'My Groups' 
which returns list of groups the currently logged-in user is member of.

Note You need to log in before you can comment on or make changes to this bug.